package com.zyb.loveball.utils;
/**
 * Created by lilexiang on 17-5-17.
 */
public class TimeHandle {
	long total;
	int hour; // 60*60
	int minute; // 60
	int second;
	StringBuilder str;
	private boolean done = false;
	public TimeHandle(long total) {
		this.total = total;
		hour = (int) (total / (60 * 60));
		minute = (int) ((total - (hour * 60 * 60)) / 60);
		second = (int) (total - hour * 60 * 60 - minute * 60);
		str = new StringBuilder();
	}

	public void reset(long total){
		this.total = total;
		hour = (int) (total / (60 * 60));
		minute = (int) ((total - (hour * 60 * 60)) / 60);
		second = (int) (total - hour * 60 * 60 - minute * 60);
	}

	public String getInitTimeStr() {
		build();
		return str.toString();
	}

	public int getHour() {
		return hour;
	}

	public void update() {
		if(total > 0) {
			total--;
			second--;
			if (second == -1) {
				second = 59;
				minute--;
				if (minute == -1) {
					minute = 59;
					hour--;
				}
			}
			build();
		}else{
			done = true;
		}
	}

	public boolean isDone() {
		return done;
	}

	public String getLeftTime(){
		if(total<=0){
			return "00:00:00";
		}
		return str.toString();
	}
	private void build() {
		str.delete(0, str.length());
		if (hour < 10) {
			str.append('0');
		}
		str.append(hour);
		str.append(':');
		if (minute < 10) {
			str.append(0);
		}
		str.append(minute);
		str.append(':');
		if (second < 10) {
			str.append(0);
		}
		str.append(second);
	}

}
